# `Leptonica_jll.jl` (v1.82.0+0)

[![deps](https://juliahub.com/docs/Leptonica_jll/deps.svg)](https://juliahub.com/ui/Packages/Leptonica_jll/qvEMn?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/45cca11dc649d3a2fe7d4e4add88e350ae40c31e/L/Leptonica/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `Leptonica_jll.jl` have been built from these sources:

* compressed archive: https://github.com/DanBloomberg/leptonica/releases/download/1.82.0/leptonica-1.82.0.tar.gz (SHA256 checksum: `155302ee914668c27b6fe3ca9ff2da63b245f6d62f3061c8f27563774b8ae2d6`)

## Platforms

`Leptonica_jll.jl` is available for the following platforms:

* `macOS aarch64` (`aarch64-apple-darwin`)
* `Linux aarch64 {libc=glibc}` (`aarch64-linux-gnu`)
* `Linux aarch64 {libc=musl}` (`aarch64-linux-musl`)
* `Linux armv6l {call_abi=eabihf, libc=glibc}` (`armv6l-linux-gnueabihf`)
* `Linux armv6l {call_abi=eabihf, libc=musl}` (`armv6l-linux-musleabihf`)
* `Linux armv7l {call_abi=eabihf, libc=glibc}` (`armv7l-linux-gnueabihf`)
* `Linux armv7l {call_abi=eabihf, libc=musl}` (`armv7l-linux-musleabihf`)
* `Linux i686 {libc=glibc}` (`i686-linux-gnu`)
* `Linux i686 {libc=musl}` (`i686-linux-musl`)
* `Windows i686` (`i686-w64-mingw32`)
* `Linux powerpc64le {libc=glibc}` (`powerpc64le-linux-gnu`)
* `macOS x86_64` (`x86_64-apple-darwin`)
* `Linux x86_64 {libc=glibc}` (`x86_64-linux-gnu`)
* `Linux x86_64 {libc=musl}` (`x86_64-linux-musl`)
* `FreeBSD x86_64` (`x86_64-unknown-freebsd`)
* `Windows x86_64` (`x86_64-w64-mingw32`)

## Dependencies

The following JLL packages are required by `Leptonica_jll.jl`:

* [`Giflib_jll`](https://github.com/JuliaBinaryWrappers/Giflib_jll.jl)
* [`JpegTurbo_jll`](https://github.com/JuliaBinaryWrappers/JpegTurbo_jll.jl)
* [`Libtiff_jll`](https://github.com/JuliaBinaryWrappers/Libtiff_jll.jl)
* [`OpenJpeg_jll`](https://github.com/JuliaBinaryWrappers/OpenJpeg_jll.jl)
* [`Zlib_jll`](https://github.com/JuliaBinaryWrappers/Zlib_jll.jl)
* [`libpng_jll`](https://github.com/JuliaBinaryWrappers/libpng_jll.jl)
* [`libwebp_jll`](https://github.com/JuliaBinaryWrappers/libwebp_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `liblept`
* `ExecutableProduct`: `convertfilestopdf`
* `ExecutableProduct`: `convertfilestops`
* `ExecutableProduct`: `convertformat`
* `ExecutableProduct`: `convertsegfilestopdf`
* `ExecutableProduct`: `convertsegfilestops`
* `ExecutableProduct`: `converttopdf`
* `ExecutableProduct`: `converttops`
* `ExecutableProduct`: `fileinfo`
* `ExecutableProduct`: `imagetops`
* `ExecutableProduct`: `xtractprotos`
